import { __decorate } from "tslib";
import { Global, Logger, Module, } from '@nestjs/common';
import { SocketIoClientProxyService } from './socket-io-client-proxy.service';
import { SocketIoClientProvider } from './socket-io-client.provider';
export let SocketIoClientModule = class SocketIoClientModule {
};
SocketIoClientModule = __decorate([
    Global(),
    Module({
        providers: [
            SocketIoClientProvider,
            SocketIoClientProxyService,
            Logger,
        ],
        exports: [
            SocketIoClientProvider,
            SocketIoClientProxyService,
        ],
    })
], SocketIoClientModule);
//# sourceMappingURL=socket-io-client.module.js.map